import edu.cmu.cs.pattis.cs151xx.*;
import java.io.*;



public class Menu {

  public static final String inputDirectory = "input";
  public static final int    sepLen         = File.separator.length();


  private static String[] getFileNames() {

    File     directory = new File(inputDirectory);
    File[]   files     = directory.listFiles();
    String[] fileNames = new String[files.length];

    for (int i=0; i<files.length; i++)
      fileNames[i] = files[i].toString();
    
    return fileNames;
  }


  private static int getSelection (String title, String[] fileNames)
  {
    System.out.println (title);
    System.out.println ();
  
    System.out.println ((fileNames.length>8 ? " ":"") + "0. Run all");
    for (int i=0; i < fileNames.length; i++) {
      System.out.println((fileNames.length>8 && i+1<10?" ":"")+(i+1)+". "+
                         fileNames[i].substring(inputDirectory.length() + sepLen));
    }
    System.out.println ((fileNames.length>8 && fileNames.length+1<10?" ":"")+(fileNames.length+1) + ". Done");
    System.out.println("");
    
    return Prompt.forInt("Select test to perform",0,fileNames.length+1);
  }


  public static String getFiles (String title)
  {
    String[] fileNames = getFileNames();
    
    int choice = getSelection(title,fileNames);
    
    if (choice == fileNames.length+1)
      System.exit(0);
    if (choice > 0)
      return fileNames[choice-1];
    
    String allFiles = fileNames[0];
    for (int i=1; i<fileNames.length; i++)
      allFiles += " " + fileNames[i];
    return allFiles;
  }


}
